---
title: llarp::path::TransitHopInfo

---

# llarp::path::TransitHopInfo





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[TransitHopInfo](Classes/structllarp_1_1path_1_1TransitHopInfo.md#function-transithopinfo)**() =default |
| | **[TransitHopInfo](Classes/structllarp_1_1path_1_1TransitHopInfo.md#function-transithopinfo)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & down, const [LR_CommitRecord](Classes/structllarp_1_1LR__CommitRecord.md) & record) |
| std::string | **[ToString](Classes/structllarp_1_1path_1_1TransitHopInfo.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[txID](Classes/structllarp_1_1path_1_1TransitHopInfo.md#variable-txid)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[rxID](Classes/structllarp_1_1path_1_1TransitHopInfo.md#variable-rxid)**  |
| [RouterID](Classes/structllarp_1_1RouterID.md) | **[upstream](Classes/structllarp_1_1path_1_1TransitHopInfo.md#variable-upstream)**  |
| [RouterID](Classes/structllarp_1_1RouterID.md) | **[downstream](Classes/structllarp_1_1path_1_1TransitHopInfo.md#variable-downstream)**  |

## Public Functions Documentation

### function TransitHopInfo

```cpp
TransitHopInfo() =default
```


### function TransitHopInfo

```cpp
TransitHopInfo(
    const RouterID & down,
    const LR_CommitRecord & record
)
```


### function ToString

```cpp
std::string ToString() const
```


## Public Attributes Documentation

### variable txID

```cpp
PathID_t txID;
```


### variable rxID

```cpp
PathID_t rxID;
```


### variable upstream

```cpp
RouterID upstream;
```


### variable downstream

```cpp
RouterID downstream;
```


-------------------------------

Updated on 2023-01-30 at 17:55:38 +0000